-- *
-- * データ登録スクリプト「Eコマース標準管理メニュー」
-- *
-- * PHP versions 5
-- *
-- * LICENSE: This source file is licensed under the terms of the GNU General Public License.
-- *
-- * @package    Magic3 Framework
-- * @author     平田直毅(Naoki Hirata) <naoki@aplo.co.jp>
-- * @copyright  Copyright 2006-2010 Magic3 Project.
-- * @license    http://www.gnu.org/copyleft/gpl.html  GPL License
-- * @version    SVN: $Id: ec.sql 4143 2011-05-16 14:22:21Z fishbone $
-- * @link       http://www.magic3.org
-- *
-- [Eコマース標準管理メニュー]
-- Eコマース向けに構成した標準管理メニュー

-- 管理画面メニューデータ
DELETE FROM _nav_item;
INSERT INTO _nav_item 
(ni_id, ni_parent_id, ni_index, ni_nav_id,    ni_task_id,                      ni_group_id, ni_view_control, ni_param, ni_name, ni_help_title, ni_help_body, ni_visible) VALUES
(100,   0,            0,        'admin_menu', '_setup',                        '',          0,               '',          '初期設定', 'Eコマース初期設定', 'Eコマースサイトを立ち上げるための最小限の設定を行います。', true),
(101,   100,          0,        'admin_menu', 'configsite',                    '',          0,               '',          '基本情報', '基本情報', 'サイト運営に必要な情報を設定します。', true),
(102,   100,          1,        'admin_menu', 'templist',                      '',          0,               '',          'テンプレート管理', 'テンプレート管理', 'テンプレートの管理を行います。', true),
(103,   100,          2,        'admin_menu', 'smenudef',                      '',          0,               '',       'メニュー編集', 'メニュー編集', 'メニュー定義を管理します。', true),
(104,   100,          3,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=keyword',     '置換文字列編集', '置換文字列編集', 'コンテンツに埋め込む置換文字列を作成します。', true),
(105,   100,          4,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=delivmethod',     '配送方法編集', '配送方法編集', '顧客が購入の際に選択する配送方法を作成します。', true),
(106,   100,          5,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=paymethod',     '支払方法編集', '支払方法編集', '顧客が購入の際に選択する支払方法を作成します。', true),
(200,   0,            1,        'admin_menu', '_master',                       '',          0,               '',       'マスター編集', '', '', true),
(201,   200,          0,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=category', 'カテゴリーマスター', '商品カテゴリーマスター', '商品カテゴリーを作成します。', true),
(202,   200,          1,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=productlist',  '商品マスター', '商品マスター', '商品情報を作成します。', true),
(203,   200,          2,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=member',   '顧客マスター', '顧客マスター', '顧客情報を管理します。', true),
(300,   0,            2,        'admin_menu', '_daily',                        '',          0,               '',           '日常処理', '', '', true),
(301,   300,          0,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=order', '受注管理', '受注管理', '受注管理を行います。', true),
(302,   300,          1,        'admin_menu', 'configwidget_ec_main',       '',             0,               'task=stock', '在庫管理', '在庫管理', '在庫管理を行います。', true),
(350,   0,            3,        'admin_menu', '_widget',                       '',          0,               '',           'ウィジェット設定', '', '', true),
(351,   350,          0,        'admin_menu', 'configwidget_ec_main',       '',             0,               '', 'Eコマース', 'Eコマース', 'Eコマース機能のメインの管理画面です。「Eコマースメイン」ウィジェットの管理画面です。', true),
(352,   350,          1,        'admin_menu', 'configwidget_custom_header',    '',          0,               '', 'カスタムヘッダ', 'カスタムヘッダ', 'Webサイトのヘッダ部をカスタマイズします。', true),
(353,   350,          2,        'admin_menu', 'configwidget_custom_footer',    '',          0,               '', 'カスタムフッタ', 'カスタムフッタ', 'Webサイトのフッタ部をカスタマイズします。', true),
(354,   350,          3,        'admin_menu', 'configwidget_ec_menu',          '',          0,               '', '商品メニュー', '商品メニュー', '商品カテゴリーで選択した商品の一覧を表示します。', true),
(399,   0,            3,        'admin_menu', '_399',                        '',          1,               '',          '改行', '', '', true),
(400,   0,            4,        'admin_menu', '_special',                      '',          0,               '',           '画面処理', '', '', true),
(401,   400,          0,        'admin_menu', 'pagedef',                       '',          0,               '',           'PC用画面', 'PC用画面編集', 'PC用Webサイトの画面を作成します。', true),
(402,   400,          1,        'admin_menu', 'pagedef_mobile',                '',          0,               '',           '携帯用画面', '携帯用画面編集', '携帯用Webサイトの画面を作成します。', true),
(403,   400,          2,        'admin_menu', 'pagedef_smartphone',           '',          0,               '',       'スマートフォン用画面', 'スマートフォン用画面編集',       'スマートフォン用Webサイトの画面を作成します。', true),
(500,   0,            5,        'admin_menu', '_content',                      '',          0,               '',       'コンテンツ管理', 'コンテンツ管理', '各種コンテンツを管理します。', true),
(501,   500,          0,        'admin_menu', 'configwidget_default_content', '',          0,               '',       '汎用コンテンツ', '汎用コンテンツ', '汎用コンテンツを管理します。(コンテンツメインウィジェット)', true),
(502,   500,          1,        'admin_menu', 'configwidget_blog_main',       '',          0,               '',       'ブログ', 'ブログ', 'ブログコンテンツを管理します。(バナーメインウィジェット)', true),
(503,   500,          2,        'admin_menu', 'configwidget_event_main',       '',          0,               '',       'イベント情報', 'イベント情報', 'イベント情報を管理します。(イベント情報メインウィジェット)', true),
(504,   500,          3,        'admin_menu', 'configwidget_banner3',        '',          0,               '',       'バナー', 'バナー', 'バナーを管理します。(バナーメインウィジェット)', true),
(600,   0,            6,        'admin_menu', '_system',                       '',          0,               '', 'システム管理', '', '', true),
(601,   600,          0,        'admin_menu', 'widgetlist',                    '',          0,               '', 'ウィジェット管理', 'ウィジェット管理', 'ウィジェットの追加、更新など管理を行います。', true),
(602,   600,          1,        'admin_menu', 'userlist',                      '',          0,               '', 'ユーザ一覧', 'ユーザ一覧', 'ログイン可能なユーザを管理します。', true),
(603,   600,          2,        'admin_menu', 'analyzecalc',                  '',          0,               '',       'アクセス解析', 'アクセス解析', 'サイトへのアクセス状況を表示します。', true),
(604,   600,          3,        'admin_menu', 'opelog',                        '',          0,               '', '運用ログ参照', '運用ログ参照', 'システムの運用状況を表示します。', true),
(605,   600,          4,        'admin_menu', 'accesslog',                     '',          0,               '', 'アクセスログ参照', 'アクセスログ参照', 'サイトへのアクセス状況を表示します。', true),
(606,   600,          5,        'admin_menu', 'searchwordlog',                 '',          0,               '', '検索語ログ参照', '検索語ログ参照', 'サイトで検索されたキーワードを表示します。', true),
(607,   600,          6,        'admin_menu', 'configsys',                     '',          0,               '', 'システム情報', 'システム情報', 'システム全体の設定、運用状況を管理します。', true),
(608,   600,          7,        'admin_menu', 'resbrowse',                     '',          0,               '', 'リソースブラウズ', 'リソースブラウズ', 'リソースファイルを管理します。', true),
(609,   600,          8,        'admin_menu', 'master',                        '',          0,               '', 'システムマスター管理', 'システムマスター管理', 'システムに関するマスターテーブルの管理を行います。', true),
(610,   600,          9,        'admin_menu', 'initsystem',                    '',          0,               '', 'DBメンテナンス', 'DBメンテナンス', 'データの初期化などDBのメンテナンスを行います。', true),
(611,   600,          10,        'admin_menu', 'editmenu',                      '',          0,               '', '管理メニュー編集', '管理メニュー編集', '管理機能のメインメニューを編集します。', true),
(699,   0,            7,        'admin_menu', '_699',                          '',          1,               '',          '改行', '', '', true),
(1100,  0,            11,       'admin_menu', '_others',                       '',          0,                '',           'その他', '', '', true),
(1101,  1100,         0,        'admin_menu', 'logout',                        '',          0,                '',                  'ログアウト', 'ログアウト', '管理機能からログアウトします。', true),
(10100,   0,            0,        'admin_menu.en', '_setup',                        '',          0,               '',          'Basic Configuration', 'Basic Configuration', 'Configure basic for E-Commerce site.', true),
(10101,   10100,          0,        'admin_menu.en', 'configsite',                    '',          0,               '',          'Site Information', 'Site Information', 'Configure site information.', true),
(10102,   10100,          1,        'admin_menu.en', 'templist',                      '',          0,               '',          'Template Administration', 'Template Administration', 'Administrate templates.', true),
(10103,   10100,          2,        'admin_menu.en', 'smenudef',                      '',          0,               '',       'Menu Administration', 'Menu Administration', 'Administrate menu definition.', true),
(10104,   10100,          3,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=keyword',     'Reprace Words', 'Reprace Words', 'Create reprace words for contents.', true),
(10105,   10100,          4,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=delivmethod',     'Delivery Method', 'Delivery Method', 'Create delivery methods.', true),
(10106,   10100,          5,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=paymethod',     'Payment Method', 'Payment Method', 'Create payment methods.', true),
(10200,   0,            1,        'admin_menu.en', '_master',                       '',          0,               '',       'E-Commerce Master', 'E-Commerce Master', 'Administrate master data for E-Commerce.', true),
(10201,   10200,          0,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=category', 'Category Master', 'Category Master', 'Create product category master data.', true),
(10202,   10200,          1,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=productlist',  'Product Master', 'Product Master', 'Create product master data.', true),
(10203,   10200,          2,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=member',   'Customer Master', 'Customer Master', 'Administrate customers.', true),
(10300,   0,            2,        'admin_menu.en', '_daily',                        '',          0,               '',           'Daily Operation', '', '', true),
(10301,   10300,          0,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=order', 'Order Administration', 'Order Administration', 'Administrate orders.', true),
(10302,   10300,          1,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               'task=stock', 'Stock Administration', 'Stock Administration', 'Administrate product stock.', true),
(10350,   0,            3,        'admin_menu.en', '_widget',                       '',          0,               '',           'Configure Widget', 'Configure Widget', 'Administrate widgets with widget config window.', true),
(10351,   10350,          0,        'admin_menu.en', 'configwidget_ec_main',       '',             0,               '', 'E-Commerce Main', 'E-Commerce Main', 'Main widget for E-Commerce', true),
(10352,   10350,          1,        'admin_menu.en', 'configwidget_custom_header',    '',          0,               '', 'Custom Header', 'Custom Header', 'Create header area.', true),
(10353,   10350,          2,        'admin_menu.en', 'configwidget_custom_footer',    '',          0,               '', 'Custom Footer', 'Custom Footer', 'Create footer area.', true),
(10354,   10350,          3,        'admin_menu.en', 'configwidget_ec_menu',          '',          0,               '', 'Category Menu', 'Category Menu', 'Show product menu by category.', true),
(10399,   0,            3,        'admin_menu.en', '_399',                        '',          1,               '',          'Return', '', '', true),
(10400,   0,            4,        'admin_menu.en', '_special',                      '',          0,               '',           'Edit Page', 'Edit Page', 'Edit page for design and function.', true),
(10401,   10400,          0,        'admin_menu.en', 'pagedef',                       '',          0,               '',           'PC Page', 'PC Page', 'Edit page for PC.', true),
(10402,   10400,          1,        'admin_menu.en', 'pagedef_mobile',                '',          0,               '',           'Mobile Page', 'Mobile Page', 'Edit page for Mobile.', true),
(10403,   10400,          2,        'admin_menu.en', 'pagedef_smartphone',           '',          0,               '',       'Smartphone Page', 'Smartphone Page',       'Edit page for Smartphone.', true),
(10500,   0,            5,        'admin_menu.en', '_content',                      '',          0,               '',       'Configure Contents', 'Configure Contents', 'Administrate various contents.', true),
(10501,   10500,          0,        'admin_menu.en', 'configwidget_default_content', '',          0,               '',       'Standard Contents', 'Standard Contents', 'Administrate standard contents.', true),
(10502,   10500,          1,        'admin_menu.en', 'configwidget_blog_main',       '',          0,               '',       'Blog Contents', 'Blog Contents', 'Administrate blog contents.', true),
(10503,   10500,          2,        'admin_menu.en', 'configwidget_event_main',       '',          0,               '',       'Event Information', 'Event Information', 'Administrate event Information.', true),
(10504,   10500,          3,        'admin_menu.en', 'configwidget_banner3',        '',          0,               '',       'Banner', 'Banner', 'Administrate banners.', true),
(10600,   0,            6,        'admin_menu.en', '_system',                       '',          0,               '', 'System Administration', '', '', true),
(10601,   10600,          0,        'admin_menu.en', 'widgetlist',                    '',          0,               '', 'Widget Administration', 'Widget Administration', 'Administrate widgets with widget config window.', true),
(10602,   10600,          1,        'admin_menu.en', 'userlist',                      '',          0,               '', 'User List', 'User List', 'Administrate user to login.', true),
(10603,   10600,          2,        'admin_menu.en', 'analyzecalc',                  '',          0,               '',       'Access Analytics', 'Access Analytics', 'Analyze site access.', true),
(10604,   10600,          3,        'admin_menu.en', 'opelog',                        '',          0,               '', 'Operation Log', 'Operation Log', 'View system operation log.', true),
(10605,   10600,          4,        'admin_menu.en', 'accesslog',                     '',          0,               '', 'Access Log', 'Access Log', 'View site access log.', true),
(10606,   10600,          5,        'admin_menu.en', 'searchwordlog',                 '',          0,               '', 'Search Word Log', 'Search Word Log', 'View words to search.', true),
(10607,   10600,          6,        'admin_menu.en', 'configsys',                     '',          0,               '', 'System Information', 'System Information', 'Configure sytem information.', true),
(10608,   10600,          7,        'admin_menu.en', 'resbrowse',                     '',          0,               '', 'Resource Browse', 'Resource Browse', 'Administrate resource files.', true),
(10609,   10600,          8,        'admin_menu.en', 'master',                        '',          0,               '', 'System Master', 'System Master', 'Administrate system master data.', true),
(10610,   10600,          9,        'admin_menu.en', 'initsystem',                    '',          0,               '', 'Database Maintenance', 'Database Maintenance', 'Database maintenance such as data initializing.', true),
(10611,   10600,          10,        'admin_menu.en', 'editmenu',                      '',          0,               '', 'Edit Administration Menu', 'Edit Administration Menu', 'Edit administration menu.', true),
(10699,   0,            7,        'admin_menu.en', '_699',                          '',          1,               '',          'Return', '', '', true),
(11100,  0,            11,       'admin_menu.en', '_others',                       '',          0,                '',           'Others', '', '', true),
(11101,  11100,         0,        'admin_menu.en', 'logout',                        '',          0,                '',                  'Logout', 'Logout', 'Logout from system.', true);
